MC68CONV(1)

NAME
mc68conv - MC68000 object file converter

SYNOPSIS
mc68conv [-] [-a] [-o] [-p] [-s] -t target files

DESCRIPTION
The mc68conv command converts object files from their current format to the format of the target machine. Mc68conv can read an archive file in any of three formats: the UNIX pre-5.0 format, the 5.0 random access format, and the 6.0 portable ASCII format. It produces a file in the format specified (-a, -o, or -p). The converted file is written to file.v .

Command line options are:

-   indicates files should be read from stdin .

-a  If the input file is an archive, produces the ouput file in the 6.0 portable ASCII archive format.

-o  If the input file is an archive, produces the output file in the UNIX pre-5.0 format.

-p  If the input file is an archive, produces the ouput file in the UNIX 5.0 random access archive format. This is the default.

-s  Functions exactly as 3bswab, i.e. "preswab" all characters in the object file. This is useful only for AT&T 3B20 Computer object files which are to be "swab-dumped" from a DEC machine to a 3B20 Computer.

-t target
    Converts the object file to the byte ordering of the machine (target) to which the object file is being shipped. This may be another host or a target machine. Legal values for target are: pdp, vax, ibm, i80, x86, b16, n3b, m32, and mc68.

Mc68conv can be used to convert all object files in common object file format. It can be used on either the source ("sending") or target ("receiving") machine.

Mc68conv is meant to ease the problems created by a multi-host cross-compilation development environment. Mc68conv is best used within a procedure for shipping object files from one machine to another.

EXAMPLE
# ship object files from pdp11 to ibm
$echo *.out | mc68conv -t ibm -$OFCfoo.o
$uucp *.v my370!~rje

DIAGNOSTICS
All diagnostics are intended to be self-explanatory. Fatal diagnostics on the command lines cause termination. Fatal diagnostics on an input file cause the program to continue to the next input file.

WARNINGS

Mc68conv will not convert archives from one format to another if both the source and target machines have the same byte ordering. The UNIX tool convert(1) should be used for this purpose.